Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(22)

Issue 10052005: Add DCHECK to ensure IndexedDBDispatcher doesn't get re-created. (Closed)

Created:
6 years, 10 months ago by dgrogan
Modified:
6 years, 10 months ago
Reviewers:
michaeln, jam
CC:
chromium-reviews, joi+watch-content_chromium.org, darin-cc_chromium.org, jam
Visibility:
Public.

Description

Add DCHECK in IndexedDBDispatcher::ThreadSpecificInstance to ensure IndexedDBDispatcher doesn't get re-created during worker shutdown. This could happen if there are IDB objects that survive the call to didStopWorkerRunLoop. This CL also makes RenderThreadImpl call new IndexedDBDispatcher instead of IndexedDBDispatcher::ThreadSpecificInstance to avoid hitting that DCHECK in tests. WebRTCAudioDeviceTest creates a RenderThreadImpl object, deletes it, and creates another render thread object, all on the same thread. BUG=121734 TEST= Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=132128

Patch Set 1 #

Total comments: 1

Patch Set 2 : make ctor public; merge NOTREACHED cl into this one #

Patch Set 3 : improved comment #

Total comments: 2

Patch Set 4 : fix kHasBeenDeleted #

Unified diffs Side-by-side diffs Delta from patch set Stats (+14 lines, -5 lines) Patch
M content/common/indexed_db/indexed_db_dispatcher.h View 1 2 2 chunks +5 lines, -1 line 0 comments Download
M content/common/indexed_db/indexed_db_dispatcher.cc View 1 2 3 2 chunks +8 lines, -1 line 0 comments Download
M content/renderer/render_thread_impl.cc View 1 2 chunks +1 line, -3 lines 0 comments Download

Messages

Total messages: 10 (0 generated)
dgrogan
Michael, could you give this a pre-jam review? Should fix the WebRTCAudioDeviceTest.* failures introduced by ...
6 years, 10 months ago (2012-04-11 01:41:23 UTC) #1
michaeln
https://chromiumcodereview.appspot.com/10052005/diff/1/content/renderer/render_thread_impl.cc File content/renderer/render_thread_impl.cc (left): https://chromiumcodereview.appspot.com/10052005/diff/1/content/renderer/render_thread_impl.cc#oldcode214 content/renderer/render_thread_impl.cc:214: IndexedDBDispatcher::ThreadSpecificInstance()); This change looks ok but it looks like ...
6 years, 10 months ago (2012-04-11 21:20:13 UTC) #2
michaeln
lgtm, please update the CL descrpition and also include comments from original CL about why ...
6 years, 10 months ago (2012-04-11 22:49:57 UTC) #3
dgrogan
John, could you review this?
6 years, 10 months ago (2012-04-11 23:01:55 UTC) #4
jam
lgtm http://codereview.chromium.org/10052005/diff/7/content/common/indexed_db/indexed_db_dispatcher.cc File content/common/indexed_db/indexed_db_dispatcher.cc (right): http://codereview.chromium.org/10052005/diff/7/content/common/indexed_db/indexed_db_dispatcher.cc#newcode41 content/common/indexed_db/indexed_db_dispatcher.cc:41: IndexedDBDispatcher* const HAS_BEEN_DELETED = nit: constants in google ...
6 years, 10 months ago (2012-04-11 23:35:00 UTC) #5
dgrogan
http://codereview.chromium.org/10052005/diff/7/content/common/indexed_db/indexed_db_dispatcher.cc File content/common/indexed_db/indexed_db_dispatcher.cc (right): http://codereview.chromium.org/10052005/diff/7/content/common/indexed_db/indexed_db_dispatcher.cc#newcode41 content/common/indexed_db/indexed_db_dispatcher.cc:41: IndexedDBDispatcher* const HAS_BEEN_DELETED = On 2012/04/11 23:35:01, John Abd-El-Malek ...
6 years, 10 months ago (2012-04-12 02:27:49 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/dgrogan@chromium.org/10052005/8001
6 years, 10 months ago (2012-04-12 02:27:57 UTC) #7
commit-bot: I haz the power
Try job failure for 10052005-8001 (retry) on win_rel for step "browser_tests". It's a second try, ...
6 years, 10 months ago (2012-04-12 05:55:44 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/dgrogan@chromium.org/10052005/8001
6 years, 10 months ago (2012-04-13 00:23:57 UTC) #9
commit-bot: I haz the power
6 years, 10 months ago (2012-04-13 02:16:10 UTC) #10
Change committed as 132128

Powered by Google App Engine
This is Rietveld 408576698